import io
import requests
import pyvo
from astropy.coordinates import SkyCoord
import Image

import vohelper

svc = pyvo.ssa.SSAService("http://dc.g-vo.org/feros/q/ssa/ssap.xml?")
matches = svc.search(SkyCoord.from_name("EI Eri"), 0.001)
per_line = 6

previews = []
for dl in matches.iter_datalinks():
    prev_url = dl.bysemantics("#preview").next()["access_url"]
    im = Image.open(io.BytesIO(requests.get(prev_url).content))
    previews.append(im)

xsz, ysz = previews[0].size
montage = Image.new("L", 
    (xsz*per_line, int(ysz*(len(previews)/per_line))),
    color=240)
for index, preview in enumerate(previews):
    montage.paste(preview, (index%per_line*xsz, index/per_line*ysz))
montage.save("previews.png")

# vi:ts=4:sw=4:sta:et
